Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018283
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] B. User interfaceminorhave not tried2011-08-16 11:052011-08-17 18:11
ReporterjtarbalView Statuspublic 
Assigned Todbaz 
PrioritynormalResolutionfixedFixed in Version3.0MP3
StatusclosedFix in branchFixed in SCM revisioneb7bc1a49352
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018283: 0016891: "Quick Launch" and "Create New" sensitivity Description: accents

DescriptionWhen using the "Quick Launch" and "Create New" features, sometimes the user cannot find the menu option that is looking for due to a mistake when spelling the word. This is specially annoying when using the application in Spanish. Here you have one situations that could be improved:
  - Accents should not be taken into account when looking for the menu entries (for example, if you put "albaran" the system will not find "albarán").
Steps To Reproduce- Login in Openbravo 3 and select Spanish as the language
- Go to "Quick Launch" or "Create New" options.
- Type "albaran"
- Realize that "albarán" does not appear.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00166233.0MP1 closedalostale CustomQuerySelectorDatasource is very inefficient when filtering using a foreign key reference 
related to feature request 0018282 newdbaz "Quick Launch" and "Create New" sensitivity: logic when searching 
related to design defect 0018321 closedalostale On the new selectors the filtering is accent senstitive 
related to defect 0037624 closedinigosanchez Filter on quick launch menu is not accent sensitive 

-  Notes
(0040228)
hgbot (developer)
2011-08-16 13:26

Repository: erp/devel/pi
Changeset: eb7bc1a49352caaab168ebbb221c5463d8d1ef70
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue Aug 16 13:26:06 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/eb7bc1a49352caaab168ebbb221c5463d8d1ef70 [^]

Fixed issue 18283: Accents are now ignored in 'Quick launch' and in 'Create New' suggestion combobox

---
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
---
(0040254)
mtaal (developer)
2011-08-17 12:18

Checked, works!
(0040279)
hudsonbot (developer)
2011-08-17 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5922b23c1f55 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-08-16 11:05 jtarbal New Issue
2011-08-16 11:05 jtarbal Assigned To => dbaz
2011-08-16 11:05 jtarbal Modules => Core
2011-08-16 13:21 dbaz Relationship added related to 0016623
2011-08-16 13:21 dbaz Relationship added related to 0018282
2011-08-16 13:26 hgbot Checkin
2011-08-16 13:26 hgbot Note Added: 0040228
2011-08-16 13:26 hgbot Status new => resolved
2011-08-16 13:26 hgbot Resolution open => fixed
2011-08-16 13:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/eb7bc1a49352caaab168ebbb221c5463d8d1ef70 [^]
2011-08-17 12:18 mtaal Note Added: 0040254
2011-08-17 12:18 mtaal Status resolved => closed
2011-08-17 12:18 mtaal Fixed in Version => 3.0MP3
2011-08-17 18:11 hudsonbot Checkin
2011-08-17 18:11 hudsonbot Note Added: 0040279
2011-08-19 10:05 egoitz Relationship added related to 0018321
2018-01-16 10:58 inigosanchez Relationship added related to 0037624


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker